"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.puffMetadata = exports.getPuffMetadataInstructionDataSerializer = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
function getPuffMetadataInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_core_1.mapSerializer)(s.struct([['discriminator', s.u8()]], {
        description: 'PuffMetadataInstructionData',
    }), (value) => ({ ...value, discriminator: 14 }));
}
exports.getPuffMetadataInstructionDataSerializer = getPuffMetadataInstructionDataSerializer;
function puffMetadata(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.get('mplTokenMetadata').publicKey;
    const metadataAccount = input.metadata;
    keys.push({
        pubkey: metadataAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(metadataAccount, true),
    });
    const data = getPuffMetadataInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.puffMetadata = puffMetadata;
//# sourceMappingURL=puffMetadata.js.map