"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeCreatorVerification = exports.getRemoveCreatorVerificationInstructionDataSerializer = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
function getRemoveCreatorVerificationInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_core_1.mapSerializer)(s.struct([['discriminator', s.u8()]], { description: 'RemoveCreatorVerificationInstructionData' }), (value) => ({
        ...value,
        discriminator: 28,
    }));
}
exports.getRemoveCreatorVerificationInstructionDataSerializer = getRemoveCreatorVerificationInstructionDataSerializer;
function removeCreatorVerification(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.get('mplTokenMetadata').publicKey;
    const metadataAccount = input.metadata;
    const creatorAccount = input.creator;
    keys.push({
        pubkey: metadataAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(metadataAccount, true),
    });
    signers.push(creatorAccount);
    keys.push({
        pubkey: creatorAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(creatorAccount, false),
    });
    const data = getRemoveCreatorVerificationInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.removeCreatorVerification = removeCreatorVerification;
//# sourceMappingURL=removeCreatorVerification.js.map